function love.load()
  love.window.setMode(1920,1080)
	debugBezier = true
  bs = {}
end

function love.update(dt)
	if love.mouse.isDown("l") then
    print("YES")
		local x,y = love.mouse.getPosition()
		local x1,y1 = bs[#bs]:getControlPoint(1)
		bs[#bs]:setControlPoint(2,math.min(x,x1) + (math.max(x,x1) - math.min(x,x1))/2,y1)
		bs[#bs]:setControlPoint(3,math.min(x,x1) + (math.max(x,x1) - math.min(x,x1))/2,y)
		bs[#bs]:setControlPoint(4,x,y)
	end
end

function love.draw()
	for i,bezier in ipairs(bs) do
		print(bezier:getControlPointCount())
		love.graphics.setColor(255, 255, 255, 255)
		love.graphics.line(bezier:render())
		if debugBezier then
			love.graphics.setColor(255, 0, 0, 127)
			local x,y = bezier:getControlPoint(1)
			local x2,y2 = bezier:getControlPoint(2)
			local x3,y3 = bezier:getControlPoint(3)
			local x4,y4 = bezier:getControlPoint(4)
			love.graphics.line(x, y, x2, y2)
			love.graphics.line(x2, y2, x3, y3)
			love.graphics.line(x3, y3, x4, y4)

			love.graphics.setColor(64, 127, 255, 127)
			for i=1,bezier:getControlPointCount() do
				local x,y = bezier:getControlPoint(i)
				love.graphics.circle('line', x, y, 4, 16)
			end
		end
	end
end


function love.mousepressed(x,y,k)
	bs[#bs+1] = love.math.newBezierCurve({x,y,x,y,x,y,x,y})
end

function love.mousereleased(x,y,k)
	--bezier = nil
end
